Need to get Canon P208 scanner working on Raspberry Pi

classic Classic list List threaded Threaded
4 messages Options
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Need to get Canon P208 scanner working on Raspberry Pi

Moritz Maier
Hi,
 
I have a Canon P208 scanner and I can't get it working on my Raspberry Pi, i.e. on ARM architecture. Can anybody help me or provide a quick solution? I need to get it running very badly.
 
I've already tried the rasbian wheezy packages sane, libsane, libsane-extras, sane-utils, cups, xsane. As well as the offical SANE backend from the Canon website (http://de.software.canon-europe.com/products/0011145.asp), which I compiled and installed from source (together with sane-backend-1.0.19). It is not working, I believe, because it is for the i86 architecture. 
 
At the moment I have the latest SANE version 1.0.25 installed from source and it works with my Canon Pixma MP640 scanner, also via Wifi, but unfortunately not with the Canon P208 connected via USB (powered hub).  
 
Under Ubuntu the P208 scanner works like a charm.
 
Cheers, 
Moritz

--
sane-devel mailing list: [hidden email]
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/sane-devel
Unsubscribe: Send mail with subject "unsubscribe your_password"
             to [hidden email]
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Need to get Canon P208 scanner working on Raspberry Pi

m. allan noah-3
please run the following on your Pi:

SANE_DEBUG_CANON_DR=30 scanimage -L 2>p208.log

then send me directly the p208.log

allan

On Tue, Oct 7, 2014 at 6:35 PM, Moritz Maier
<[hidden email]> wrote:

> Hi,
>
> I have a Canon P208 scanner and I can't get it working on my Raspberry Pi,
> i.e. on ARM architecture. Can anybody help me or provide a quick solution? I
> need to get it running very badly.
>
> I've already tried the rasbian wheezy packages sane, libsane,
> libsane-extras, sane-utils, cups, xsane. As well as the offical SANE backend
> from the Canon website
> (http://de.software.canon-europe.com/products/0011145.asp), which I compiled
> and installed from source (together with sane-backend-1.0.19). It is not
> working, I believe, because it is for the i86 architecture.
>
> At the moment I have the latest SANE version 1.0.25 installed from source
> and it works with my Canon Pixma MP640 scanner, also via Wifi, but
> unfortunately not with the Canon P208 connected via USB (powered hub).
>
> Under Ubuntu the P208 scanner works like a charm.
>
> Cheers,
> Moritz
>
> --
> sane-devel mailing list: [hidden email]
> http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/sane-devel
> Unsubscribe: Send mail with subject "unsubscribe your_password"
>              to [hidden email]



--
"well, I stand up next to a mountain- and I chop it down with the edge
of my hand"

--
sane-devel mailing list: [hidden email]
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/sane-devel
Unsubscribe: Send mail with subject "unsubscribe your_password"
             to [hidden email]
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Need to get Canon P208 scanner working on Raspberry Pi

Alex-3
In reply to this post by Moritz Maier
Moritz Maier <Moritz.Andreas.Maier <at> gmx.de> writes:

>
>
> Hi,
>
>  
>
> I have a Canon P208 scanner and I can't get it working on my Raspberry Pi,
i.e. on ARM architecture. Can anybody help me or provide a quick solution? I
need to get it running very badly.
>
>  
>
> I've already tried the rasbian wheezy packages sane, libsane,
libsane-extras, sane-utils, cups, xsane. As well as the offical SANE backend
from the Canon website
(http://de.software.canon-europe.com/products/0011145.asp), which I compiled
and installed from source (together with sane-backend-1.0.19). It is not
working, I believe, because it is for the i86 architecture. 
>
>  
>
> At the moment I have the latest SANE version 1.0.25 installed from source
and it works with my Canon Pixma MP640 scanner, also via Wifi, but
unfortunately not with the Canon P208 connected via USB (powered hub).  

>
>  
>
> Under Ubuntu the P208 scanner works like a charm.
>
>  
> Cheers, 
>
> Moritz
>
>
>
Dear Moritz,

I've bought a p208II and want to use it with my raspberrypi2.
I followed your discussion at raspberrypi.org but it will not find the p208.
Wheater as listes usb device (lsusb) nor as scanner (sane-find-scanner).
 I'm not using a active usb hub yet.

Do you have any advices?

Grüße aus Frankfurt

--
sane-devel mailing list: [hidden email]
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/sane-devel
Unsubscribe: Send mail with subject "unsubscribe your_password"
             to [hidden email]
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Need to get Canon P208 scanner working on Raspberry Pi

m. allan noah-3
I will post what Moritz sent to me directly, I don't think he will mind:

--------------------------------

thank you very much for the valuable hints. Now, I've got the scanner
Canon P208 working on my Raspberry Pi. I had to use sudo to run
scanimage -L and connect the scanner and the Pi differently to the
powered USB hub, which I accidently did yesterday evening, but that
solved it finally.

What solved the connection problem obviously was:
- Installing the latest SANE version 1.0.25 from source using the
official GIT repo
- Manually adding the following line to /etc/sane.d/canon_dr.conf:
#P208
usb 0x1083 0x164c
- Using a powered USB hub to connect the scanner to the Pi and plug
the scanner, as well as the USB power cable of the Pi (!) in the hub,
i.e. only the hub is connected to the household power source!
- Using canon_dr backend instead of canondr backend from Canon website

In order to make it work without sudo, I will add the scanner to
/lib/udev/rules.d/40-libsane.rules (e.g. # Canon P208
ATTRS{idVendor}=="1083", ATTRS{idProduct}=="164c", ENV{libsane_matched}="yes")

------------------------

hopefully this is helpful to you.

allan

On Wed, Feb 17, 2016 at 5:37 PM, Alex <[hidden email]> wrote:

> Moritz Maier <Moritz.Andreas.Maier <at> gmx.de> writes:
>
>>
>>
>> Hi,
>>
>>
>>
>> I have a Canon P208 scanner and I can't get it working on my Raspberry Pi,
> i.e. on ARM architecture. Can anybody help me or provide a quick solution? I
> need to get it running very badly.
>>
>>
>>
>> I've already tried the rasbian wheezy packages sane, libsane,
> libsane-extras, sane-utils, cups, xsane. As well as the offical SANE backend
> from the Canon website
> (http://de.software.canon-europe.com/products/0011145.asp), which I compiled
> and installed from source (together with sane-backend-1.0.19). It is not
> working, I believe, because it is for the i86 architecture.
>>
>>
>>
>> At the moment I have the latest SANE version 1.0.25 installed from source
> and it works with my Canon Pixma MP640 scanner, also via Wifi, but
> unfortunately not with the Canon P208 connected via USB (powered hub).
>>
>>
>>
>> Under Ubuntu the P208 scanner works like a charm.
>>
>>
>> Cheers,
>>
>> Moritz
>>
>>
>>
> Dear Moritz,
>
> I've bought a p208II and want to use it with my raspberrypi2.
> I followed your discussion at raspberrypi.org but it will not find the p208.
> Wheater as listes usb device (lsusb) nor as scanner (sane-find-scanner).
>  I'm not using a active usb hub yet.
>
> Do you have any advices?
>
> Grüße aus Frankfurt
>
> --
> sane-devel mailing list: [hidden email]
> http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/sane-devel
> Unsubscribe: Send mail with subject "unsubscribe your_password"
>              to [hidden email]



--
"well, I stand up next to a mountain- and I chop it down with the edge
of my hand"

--
sane-devel mailing list: [hidden email]
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/sane-devel
Unsubscribe: Send mail with subject "unsubscribe your_password"
             to [hidden email]
Loading...